<?php
/**
 * Single Product title
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/title.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://woocommerce.com/document/template-structure/
 * @package    WooCommerce\Templates
 * @version    1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}



// Assuming you have the product ID in a variable $product_id
$product_id = get_the_ID(); // or use a specific product ID

// Get the terms for the custom taxonomy 'brand'
$terms = wp_get_post_terms( $product_id, 'brand' );

// Check if terms exist and display them
if ( ! is_wp_error( $terms ) && ! empty( $terms ) ) {
    foreach ( $terms as $term ) {
        echo '<h6 class="hw-brand-name">' . esc_html( $term->name ) . '</h6>';
    }
}

the_title( '<h1 class="product_title entry-title">', '</h1>' );
